// $Id$

//=============================================================================
/**
 *  @file    bee.h
 *
 *  @author Fukasawa Mitsuo
 *
 *
 *    Copyright (C) 2004 BEE Co.,Ltd. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
//=============================================================================

#ifndef JYUGEM_BEE_H
#define JYUGEM_BEE_H

#ifdef _MSC_VER
#pragma warning( disable: 4267 )
#pragma warning( disable: 4244 ) // '__w64 int'
#endif

#include <string>
#include <stdexcept>
#include <vector>
#include <list>
#include <map>
#include <stack>
#include <set>
#include <algorithm>
#include <iostream>
#include <utility>
using namespace std;

#include "jyugem/bee/booster.h"
#include "jyugem/bee/beeconf.h"
#include "jyugem/bee/beelib.h"
#include "jyugem/bee/nameable.h"
#include "jyugem/bee/datetime.h"
#include "jyugem/bee/value.h"
#include "jyugem/bee/failure.h"
#include "jyugem/bee/id.h"

#endif
