'''
>>> import cjm
>>> a = cjm.ControlJob()
Entering Queued
>>> a.open()
jyugem::bee::task::open
0
jyugem::bee::state_task::svc
>>> a.current_state()
'Queued'
>>> a.update("begin")
1
Exiting Queued
Entering Active
Entering Selected
Exiting Selected
Entering WaitingForStart
<message="S6F11">
  <ceid type="ascii">Job Waiting For Start</ceid>
  <list>
    <report type="ascii">ControlJob</report>
    <report type="ascii">20040222182826</report>
  <list>
</message>

>>> a.current_state()
'WaitingForStart'
>>> a.update("start")
Exiting WaitingForStart
1
Entering Executing
<message="S6F11">
  <ceid type="ascii">Executing began</ceid>
  <list>
    <report type="ascii">ControlJob</report>
    <report type="ascii">20040222183018</report>
  <list>
</message>
>>> a.current_state()
'Executing'
>>> a.update("complete")
Exiting Executing
1
Exiting Active
Entering Completed
<message="S6F11">
  <ceid type="ascii">Complete</ceid>
  <list>
    <report type="ascii">ControlJob</report>
    <report type="ascii">20040222183050</report>
  <list>
</message>

>>> a.current_state()
'Completed'
>>> a = 0
Exiting Completed
>>>
'''

import cjm
a = cjm.ControlJob()

a.open()

a.current_state()

a.update("begin")

a.current_state()

a.update("start")

a.current_state()

a.update("complete")

a.current_state()

a = 0
